JEditorPane.AccessibleJEditorPaneHTML (Java Platform SE 8 )
Keywords: javax.swing.JEditorPane.AccessibleJEditorPaneHTML class
Date: 2016-07-28

javax.swing

## Class JEditorPane.AccessibleJEditorPaneHTML

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Container.AccessibleAWTContainer
      - - javax.swing.JComponent.AccessibleJComponent
        - - javax.swing.text.JTextComponent.AccessibleJTextComponent
          - - javax.swing.JEditorPane.AccessibleJEditorPane
            - - javax.swing.JEditorPane.AccessibleJEditorPaneHTML

- All Implemented Interfaces:
    Serializable, EventListener, AccessibleAction, AccessibleComponent, AccessibleEditableText, AccessibleExtendedComponent, AccessibleExtendedText, AccessibleText, CaretListener, DocumentListener
  Enclosing class:
    JEditorPane

      protected class JEditorPane.AccessibleJEditorPaneHTML
      extends JEditorPane.AccessibleJEditorPane

  This class provides support for `AccessibleHypertext`, and is used in instances where the `EditorKit` installed in this `JEditorPane` is an instance of `HTMLEditorKit`.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent.AccessibleJComponent

      `JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

    - ### Nested classes/interfaces inherited from class java.awt.Component.AccessibleAWTComponent

      `Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent.AccessibleJComponent

      `accessibleFocusHandler`

    - ### Fields inherited from class java.awt.Container.AccessibleAWTContainer

      `accessibleContainerHandler`

    - ### Fields inherited from class java.awt.Component.AccessibleAWTComponent

      `accessibleAWTComponentHandler, accessibleAWTFocusHandler`

    - ### Fields inherited from class javax.accessibility.AccessibleContext

      `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

    - ### Fields inherited from interface javax.accessibility.AccessibleAction

      `CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

    - ### Fields inherited from interface javax.accessibility.AccessibleText

      `CHARACTER, SENTENCE, WORD`

    - ### Fields inherited from interface javax.accessibility.AccessibleExtendedText

      `ATTRIBUTE_RUN, LINE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessibleJEditorPaneHTML()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Accessible` | `getAccessibleAt(Point p)` Returns the Accessible child, if one exists, contained at the local coordinate Point.
    `Accessible` | `getAccessibleChild(int i)` Returns the specified Accessible child of the object.
    `int` | `getAccessibleChildrenCount()` Returns the number of accessible children of the object.
    `AccessibleText` | `getAccessibleText()` Get the AccessibleText associated with this object.

    - ### Methods inherited from class javax.swing.JEditorPane.AccessibleJEditorPane

      `getAccessibleDescription, getAccessibleStateSet`

    - ### Methods inherited from class javax.swing.text.JTextComponent.AccessibleJTextComponent

      `caretUpdate, changedUpdate, cut, delete, doAccessibleAction, getAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleEditableText, getAccessibleRole, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, getTextBounds, getTextRange, getTextSequenceAfter, getTextSequenceAt, getTextSequenceBefore, insertTextAtIndex, insertUpdate, paste, removeUpdate, replaceText, selectText, setAttributes, setTextContents`

    - ### Methods inherited from class javax.swing.JComponent.AccessibleJComponent

      `addPropertyChangeListener, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

    - ### Methods inherited from class java.awt.Component.AccessibleAWTComponent

      `addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

    - ### Methods inherited from class javax.accessibility.AccessibleContext

      `firePropertyChange, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.accessibility.AccessibleComponent

      `addFocusListener, contains, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

- - ### Constructor Detail

    - #### AccessibleJEditorPaneHTML

          protected AccessibleJEditorPaneHTML()

  - ### Method Detail

    - #### getAccessibleText

          public AccessibleText getAccessibleText()

      Description copied from class: `JTextComponent.AccessibleJTextComponent`
      Get the AccessibleText associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleText interface on behalf of itself.
      Overrides:
        `getAccessibleText` in class `JTextComponent.AccessibleJTextComponent`
      Returns:
        this object
      See Also:
        `AccessibleText`

    - #### getAccessibleChildrenCount

          public int getAccessibleChildrenCount()

      Returns the number of accessible children of the object.
      Overrides:
        `getAccessibleChildrenCount` in class `JComponent.AccessibleJComponent`
      Returns:
        the number of accessible children of the object.

    - #### getAccessibleChild

          public Accessible getAccessibleChild(int i)

      Returns the specified Accessible child of the object. The Accessible children of an Accessible object are zero-based, so the first child of an Accessible child is at index 0, the second child is at index 1, and so on.
      Overrides:
        `getAccessibleChild` in class `JComponent.AccessibleJComponent`
      Parameters:
        `i` - zero-based index of child
      Returns:
        the Accessible child of the object
      See Also:
        `getAccessibleChildrenCount()`

    - #### getAccessibleAt

          public Accessible getAccessibleAt(Point p)

      Returns the Accessible child, if one exists, contained at the local coordinate Point.
      Specified by:
        `getAccessibleAt` in interface `AccessibleComponent`
      Overrides:
        `getAccessibleAt` in class `Container.AccessibleAWTContainer`
      Parameters:
        `p` - The point relative to the coordinate system of this object.
      Returns:
        the Accessible, if it exists, at the specified location; otherwise null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.